View Issue Details

IDProjectCategoryView StatusLast Update
0002912CentOS-5kernelpublic2009-01-03 19:37
Reporterdaily-planet 
PrioritynormalSeverityblockReproducibilityalways
Status acknowledgedResolutionopen 
Product Version5.2 
Target VersionFixed in Version 
Summary0002912: Kernel panic 'not syncing' since CentOS 5.2 upgrade
DescriptionHello,

since upgrading to CentOS 5.2 my notebook hangs while booting with
a "Kernel panic - not syncing: Fatal exception" error. A screenshot is enclosed.

Ok, that toshiba tecra 8000 notebook is very old, but I use it as a thin
client. And for that it makes a great job. I have had no such problem under CentOS 5 and 5.1.

Also the notebook works without problems with the CentOS 5.2 upgrade and the old 2.6.18-53.1.21.el5 kernel.


Thank you very much.
Olaf
Additional Information# uname -a
Linux beutelsend.istari.de 2.6.18-53.1.21.el5 #1 SMP Tue May 20 09:34:18
EDT 2008 i686 i686 i386 GNU/Linux

# grep kernel /etc/grub.conf
        kernel /vmlinuz-2.6.18-92.1.1.el5 ro
root=/dev/VolGroup00/LogVol00 acpi=off noapic apm=power-off

# cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 5
model name : Pentium II (Deschutes)
stepping : 2
cpu MHz : 266.637
cache size : 512 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov
pat pse36 mmx fxsr up
bogomips : 533.80
TagsNo tags attached.

Activities

2008-06-25 07:45

 

r0013878.jpg (75,040 bytes)
r0013878.jpg (75,040 bytes)
timverhoeven

timverhoeven

2008-06-25 07:58

developer   ~0007468

It looks like https://bugzilla.redhat.com/show_bug.cgi?id=443853 is the upstream bug for this, but is is closed. Bugzilla https://bugzilla.redhat.com/show_bug.cgi?id=448937 is a dup of that bug but is publicly viewable.
wpil

wpil

2008-06-25 09:47

reporter   ~0007469

I have identical problem after yum upgrade
on a ProLiant 3000 machine with 2 * PIII 600 MHz (Katmai stepping 03)
Identical messages on screen, identical values
of addresses and registers except for sp and task.
Identical Code bytes sequence.

The previous kernel [ kernel-2.6.18-53.1.21.el5.i686 ] seems to work fine.

(On the other hand, I run CentOS fully upgraded to 5.2 on a home PC with PIII (single CPU, Abit motherboard with i440BX chipset) with no problem.)

lspci on ProLiant 3000 machine shows (selected lines)
00:00.0 Host bridge: Broadcom CNB20-LE Host Bridge (rev 04)
        Flags: bus master, medium devsel, latency 64
        Memory at <unassigned> (32-bit, prefetchable)

00:00.1 Host bridge: Broadcom CNB20-LE Host Bridge (rev 02)
        Flags: bus master, medium devsel, latency 64

00:03.0 System peripheral: Compaq Computer Corporation Advanced System Management Controller
        Subsystem: Compaq Computer Corporation Unknown device b0f3
        Flags: medium devsel
        I/O ports at 1800 [size=256]
        Memory at c6bfff00 (32-bit, non-prefetchable) [size=256]

00:06.0 PCI bridge: IBM PCI to PCI Bridge (IBM27-82351) (rev 07) (prog-if 00 [Normal decode])
        Flags: bus master, medium devsel, latency 128
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=248
        I/O behind bridge: 00003000-00003fff
        Memory behind bridge: c6c00000-c6cfffff
        Prefetchable memory behind bridge: 30000000-300fffff

00:0f.0 ISA bridge: Broadcom OSB4 South Bridge (rev 4d)
        Subsystem: Broadcom OSB4 South Bridge
        Flags: bus master, medium devsel, latency 0

00:11.0 Host bridge: Broadcom CNB20-LE Host Bridge (rev 04)
        Flags: medium devsel
        Memory at <unassigned> (32-bit, prefetchable)

00:11.1 Host bridge: Broadcom CNB20-LE Host Bridge (rev 02)
        Flags: medium devsel

01:00.0 Mass storage controller: Compaq Computer Corporation Smart-2/P RAID Controller (rev 03)
        Subsystem: Compaq Computer Corporation Smart Array 3200 Controller
        Flags: bus master, medium devsel, latency 0, IRQ 5
        I/O ports at 3000 [size=256]
        Memory at c6cfff00 (32-bit, non-prefetchable) [size=256]
        [virtual] Expansion ROM at 30000000 [disabled] [size=16K]

2008-06-25 09:51

 

dmesg01.utxt (15,752 bytes)
wpil

wpil

2008-06-25 09:53

reporter   ~0007470

I have attached dmesg output from working kernel on ProLiant3000 machine,
as file dmesg01.utxt
Wojtek
Roksteady

Roksteady

2008-06-25 10:42

reporter   ~0007471

Same panic in Qemu on all emulations:

(booting the last working kernel) - 2.6.18-53.1.21.el5
[root@centos1 ~]# cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 3
model name : Pentium II (Klamath)
stepping : 3
cpu MHz : 2192.967
cache size : 2048 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu de pse tsc msr pae mce cx8 apic pge cmov pat mmx fxsr sse sse2 up pni monitor
bogomips : 4395.41

[mikaelf@centos1 ~]$ cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 7
model name : Pentium III (Katmai)
stepping : 3
cpu MHz : 2192.957
cache size : 2048 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pat pse36 mmx fxsr sse sse2 up pni monitor
bogomips : 4395.53
timverhoeven

timverhoeven

2008-06-25 12:45

developer   ~0007472

The closed bz has now been opened. This is their summary : "Panic seen on systems that do not support DMI or have busted DMI tables. Panic occurs during powernowk8 driver load, and occurs on both AMD and Intel systems."
Fluggo

Fluggo

2008-06-25 14:38

reporter   ~0007476

Just wanted to say that Im seeing the exact same issue. I just finished upgrading two Proliant 6400R Servers ( 4x Xeon P3 550MHz, with 4GB RAM) Upgraded from 5.1 to 5.2. Both servers panics booting the new 2.6.18-92 Xen kernel. Booting 2.6.18-53 works OK.
rgmhtt

rgmhtt

2008-06-26 14:12

reporter   ~0007488

I have a few DecTOPs that use the AMD Geode chip.

I upgraded one system and get the same kernel panic. I can boot the system with the old 53 kernel.

I tried a fresh install on another DecTOP, specifying linux askmethod.

In this case I got a kernal panic with the error:

<7> spurious 8259A interrupt: IRQ7.

Note that with the DecTOP there is NO access to the bios to make any bios setting changes. This was suppose to be a 'consumer' product...
JohnnyHughes

JohnnyHughes

2008-06-26 23:11

administrator   ~0007492

please try the kernel here to see if it fixes this issue:

http://people.centos.org/hughesjr/kernel/5/bz443853/
rgmhtt

rgmhtt

2008-06-27 00:17

reporter   ~0007493

Great!

I downloaded the 'plain' kernel rpms and did a yum localinstall kernel*

Had to try again with gpgcheck=0, this time it updated/installed the kernel files.

Rebooted and system is up and running!

Now I need to know how to build a new install CD once you push this out as a production fix.
daily-planet

daily-planet

2008-06-27 11:01

reporter   ~0007497

The 2.6.18-92.1.6.el5.bz_pre53 kernel works perfect on my toshiba tecra 8000.
Thank you very much!


regards
Olaf
ChaseVenters

ChaseVenters

2008-07-02 02:40

reporter   ~0007546

I'm unable to install CentOS 5.2 under Qemu/Kvm due to this bug. I'm also curious in a means to rebuild the installer disc with a fixed kernel.
andie

andie

2008-07-05 03:13

reporter   ~0007573

After updating to CentOS 5.2 my old pIIX4 (Celeron 534 MHz processor) desktop box also refused to boot because of kernel panic. Following the instructions on this page rectified the situation and, now the box boots just fine.
The details of steps taken to get it working can be read on CentOS 5 General Support Forum under "kernel-2.6.18-92.1.6.el5 panics at boot".

Thanks to the deserving...

andie
ragingpanda

ragingpanda

2008-07-05 22:03

reporter   ~0007575

Right - I added a new bug (2950) which has been closed as a duplicate of this bug (2912). This is *not* the same bug. The behaviour I noticed was down to the nvidia kernel driver not installing itself properly following an upgrade to the 2.6.18-92 kernel (centosplus). Okay so by dicking around I was able get the nvidia driver installed and my system now boots - so I do not require the patched kernel referred to here. Hence my suspicion that this is not the same problem as 2912. What I would like to know is what the k8-powernow error message is about, and why after the upgrade the AVAHI and HAL drivers no longer load.

In short my problems are *not* related to 2912 and 2950 should not have been closed.
ragingpanda

ragingpanda

2008-07-07 14:19

reporter   ~0007582

Hi,

Sorry I should have spent more time thinking about this before I started ranting in my last email. In short, I was stupid in suggesting that 2950 and 2912 are un-related. It's quite possible that the problems I am seeing with the AVAHI and HAL daemons not loading are related to the ACPI problem referred to in bug 2912.

As it stands, I'm now trying to install the patched kernel referred to here and am struggling to get it to work. I used yum --nogpgcheck localinstall kernel*
This gives the following ouput:

Examining kernel-2.6.18-92.1.6.el5.bz_pre53.x86_64.rpm: kernel - 2.6.18-92.1.6.el5.bz_pre53.x86_64
Examining kernel-devel-2.6.18-92.1.6.el5.bz_pre53.x86_64.rpm: kernel-devel - 2.6.18-92.1.6.el5.bz_pre53.x86_64
Examining kernel-doc-2.6.18-92.1.6.el5.bz_pre53.noarch.rpm: kernel-doc - 2.6.18-92.1.6.el5.bz_pre53.noarch
Examining kernel-headers-2.6.18-92.1.6.el5.bz_pre53.x86_64.rpm: kernel-headers - 2.6.18-92.1.6.el5.bz_pre53.x86_64
Marking kernel-doc-2.6.18-92.1.6.el5.bz_pre53.noarch.rpm to be installed
Marking kernel-2.6.18-92.1.6.el5.bz_pre53.x86_64.rpm as an update to kernel - 2.6.18-53.1.14.el5.x86_64
Marking kernel-2.6.18-92.1.6.el5.bz_pre53.x86_64.rpm as an update to kernel - 2.6.18-53.1.21.el5.x86_64
Marking kernel-2.6.18-92.1.6.el5.bz_pre53.x86_64.rpm as an update to kernel - 2.6.18-53.1.19.el5.x86_64
Marking kernel-2.6.18-92.1.6.el5.bz_pre53.x86_64.rpm as an update to kernel - 2.6.18-53.1.19.el5.centos.plus.x86_64
Marking kernel-devel-2.6.18-92.1.6.el5.bz_pre53.x86_64.rpm as an update to kernel-devel - 2.6.18-53.1.19.el5.centos.plus.x86_64
Marking kernel-devel-2.6.18-92.1.6.el5.bz_pre53.x86_64.rpm as an update to kernel-devel - 2.6.18-53.1.19.el5.x86_64
Marking kernel-devel-2.6.18-92.1.6.el5.bz_pre53.x86_64.rpm as an update to kernel-devel - 2.6.18-53.1.21.el5.x86_64
Marking kernel-devel-2.6.18-92.1.6.el5.bz_pre53.x86_64.rpm as an update to kernel-devel - 2.6.18-53.1.14.el5.centos.plus.x86_64
kernel-2.6.18-92.1.6.el5.bz_pre53.x86_64.rpm: does not update installed package.
kernel-devel-2.6.18-92.1.6.el5.bz_pre53.x86_64.rpm: does not update installed package.
kernel-headers-2.6.18-92.1.6.el5.bz_pre53.x86_64.rpm: does not update installed package.
Resolving Dependencies
--> Running transaction check
---> Package kernel-devel.x86_64 0:2.6.18-92.1.6.el5.bz_pre53 set to be installed
---> Package kernel.x86_64 0:2.6.18-92.1.6.el5.bz_pre53 set to be installed
---> Package kernel-doc.noarch 0:2.6.18-92.1.6.el5.bz_pre53 set to be updated
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel-devel.x86_64 0:2.6.18-92.1.6.el5.bz_pre53 set to be installed
---> Package kernel-devel.x86_64 0:2.6.18-53.1.14.el5.centos.plus set to be erased
---> Package kernel-devel.x86_64 0:2.6.18-53.1.19.el5 set to be erased
---> Package kernel.x86_64 0:2.6.18-92.1.6.el5.bz_pre53 set to be installed
---> Package kernel.x86_64 0:2.6.18-53.1.19.el5.centos.plus set to be erased
---> Package kernel.x86_64 0:2.6.18-53.1.14.el5 set to be erased
---> Package kernel.x86_64 0:2.6.18-53.1.19.el5 set to be erased
---> Package kernel-devel.x86_64 0:2.6.18-53.1.19.el5.centos.plus set to be erased
---> Package kernel-doc.noarch 0:2.6.18-92.1.6.el5.bz_pre53 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package Arch Version Repository Size
=============================================================================
Installing:
 kernel x86_64 2.6.18-92.1.6.el5.bz_pre53 kernel-2.6.18-92.1.6.el5.bz_pre53.x86_64.rpm 79 M
 kernel-devel x86_64 2.6.18-92.1.6.el5.bz_pre53 kernel-devel-2.6.18-92.1.6.el5.bz_pre53.x86_64.rpm 15 M
 kernel-doc noarch 2.6.18-92.1.6.el5.bz_pre53 kernel-doc-2.6.18-92.1.6.el5.bz_pre53.noarch.rpm 7.8 M
Removing:
 kernel x86_64 2.6.18-53.1.19.el5.centos.plus installed 87 M
 kernel x86_64 2.6.18-53.1.14.el5 installed 75 M
 kernel x86_64 2.6.18-53.1.19.el5 installed 75 M
 kernel-devel x86_64 2.6.18-53.1.14.el5.centos.plus installed 15 M
 kernel-devel x86_64 2.6.18-53.1.19.el5 installed 15 M
 kernel-devel x86_64 2.6.18-53.1.19.el5.centos.plus installed 15 M

Transaction Summary
=============================================================================
Install 3 Package(s)
Update 0 Package(s)
Remove 6 Package(s)

Total download size: 102 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  package kernel-devel-2.6.18-92.1.6.el5.centos.plus (which is newer than kernel-devel-2.6.18-92.1.6.el5.bz_pre53) is already installed
  package kernel-2.6.18-92.1.6.el5.centos.plus (which is newer than kernel-2.6.18-92.1.6.el5.bz_pre53) is already installed


Anyone have an idea how to overcome this problem?

Cheers, Jon
ragingpanda

ragingpanda

2008-07-07 14:59

reporter   ~0007583

Okay - so got the kernel to install by using rpm instead of yum. However, this did not remove the error message:
powernow-k8: Cannot pre-initialize ACPI

Unfortunately, AVAHI and HAL are still not loading - so I think I will need to back out the newer kernels 2.6.18-92.X and go back to -53 variant. To summarise, with HAL not working I'm unable to mount external disks etc, and I've also just noticed that my VMplayer is "playing-up". I am more than happy to try other things on my machine if people want me to test stuff. E.g. I haven't posted my full hardware details yet - do you need these?

Cheers, Jon
jhare78726

jhare78726

2008-07-07 18:20

reporter   ~0007585

I was getting this with 8GB of ram on a Q6600 quadcore. Then I changed the kernel invocation line to have mem=8192M at the end. I do not get the error anymore and it comes up very fast.
timverhoeven

timverhoeven

2008-07-10 12:20

developer   ~0007618

Upstream has released a test kernel for this issue (https://bugzilla.redhat.com/show_bug.cgi?id=443853). Could people that have this issue try their test kernel and provide feedback in the bugzilla entry ?
yafrank

yafrank

2008-08-08 15:17

reporter   ~0007821

The latest upstream kernel 2.6.18-92.1.10.el5 solves the problem in my qemu-0.9.1-1ubuntu1.
DustyJ

DustyJ

2008-09-02 19:44

reporter   ~0007918

On CentOS 5.2 Kernel 2.6.18-92.1.10.el5 works fine but 2.6.18-92.1.10.el5xen gives a Kernel panic.
ragingpanda

ragingpanda

2008-10-10 13:48

reporter   ~0008111

Hi, after a brief (rocky) relationship with FC9 I'm back at Centos 5.2. However, I'm a bit dismayed to see that the same bug is still present. It doesn't appear to be having a bad effect on the system, so should I ignore it?

I *still* get the message powernow-k8: Initialization of ACPI failed, as the first line of the boot process. I'm using kernel 2.6.18-92.1.13.el5.

Best wishes,

Jon
cisco3662

cisco3662

2008-11-04 16:34

reporter   ~0008229

please try the kernel here to see if it fixes this issue:

http://people.centos.org/hughesjr/kernel/5/bz443853/ [^]
----------------------------------------------------------
Hi:
How can i use this 2.6.18-92.1.6.el5.bz_pre53 kernel
my kernel is
[root@linux source]# uname -a
Linux linux.kndcx.com.tw 2.6.18-92.1.13.el5 #1 SMP Wed Sep 24 19:33:52 EDT 2008 i686 i686 i386 GNU/Linux

my problem is
[root@linux source]# rpm -ivh kernel-2.6.18-92.1.6.el5.bz_pre53.i686.rpm
warning: kernel-2.6.18-92.1.6.el5.bz_pre53.i686.rpm: Header V3 DSA signature: NOKEY, key ID 7203f491
Preparing... ########################################### [100%]
        package kernel-2.6.18-92.1.13.el5 (which is newer than kernel-2.6.18-92.1.6.el5.bz_pre53) is already installed

thanks...
AlanBartlett

AlanBartlett

2008-11-04 17:04

reporter   ~0008230

This is not a support channel. Please use a "man rpm" command to see all the options to the rpm command.

To answer your question:

rpm -ivh --oldpackage kernel-2.6.18-92.1.6.el5.bz_pre53.i686.rpm
ragingpanda

ragingpanda

2008-11-05 14:29

reporter   ~0008231

Hi,

I tried using the 2.6.18-92.1.6.el5.bz_pre53 kernel, but it did not fix my problem. I have spoken with Russ herrold about my particular problem: which is that with the current Centos kernel (2.6.18-92.1.15.el5) I get the following error message immediately after booting (I.e. after selecting which kernel to load)

*powernow-k8: initialization of ACPI failed
*powernow-k8: Your BIOS does not provide _PSS objects. PowerNow! does not work on SMP systems without _PSS objects. Complain to your BIOS vendor.
*powernow-k8: Your BIOS does not provide _PSS objects. PowerNow! does not work on SMP systems without _PSS objects. Complain to your BIOS vendor.

I have updated to the latest BIOS for my motherboard (Gigabyte K8N-Ultra9, Nforce4 chipset), still no improvement. Russ suggested that this bug needs to be "upstreamed" - but I'm not sure about how to do this. Can anyone suggest how?

Thanks for your help.

Cheers, Jon
ragingpanda

ragingpanda

2008-11-05 14:31

reporter   ~0008232

I forgot to mention that, the exact same hardware running under FC9 (kernel 2.6.25) does not give this particular error message. There were loads of other things that didn't work, but that's a different story :-)

Cheers, Jon
toracat

toracat

2009-01-03 19:37

manager   ~0008529

In reply to note 8231:
"*powernow-k8: Your BIOS does not provide _PSS objects. PowerNow! does not work on SMP systems without _PSS objects. Complain to your BIOS vendor."

The answer is in this forum post:

http://www.centos.org/modules/newbb/viewtopic.php?viewmode=thread&topic_id=17816&forum=37&post_id=64683

Excerpt here:

This is displayed because the CPU frequency scaling is disabled. Enable it by setting the "AMD Cool 'n' Quiet Function" in the BIOS settings to "Auto" and that warning will disappear.
(You'll find it in Advanced->CPU Configuration)

("PowerNow!" and "Cool 'n' Quiet" are two different generations of "marketing-terms" for the same thing - the ability for the AMD processor to step down in frequency when it's idle)

Issue History

Date Modified Username Field Change
2008-06-25 07:45 daily-planet New Issue
2008-06-25 07:45 daily-planet File Added: r0013878.jpg
2008-06-25 07:51 kbsingh@karan.org Status new => acknowledged
2008-06-25 07:58 timverhoeven Note Added: 0007468
2008-06-25 09:47 wpil Note Added: 0007469
2008-06-25 09:51 wpil File Added: dmesg01.utxt
2008-06-25 09:53 wpil Note Added: 0007470
2008-06-25 10:42 Roksteady Note Added: 0007471
2008-06-25 12:45 timverhoeven Note Added: 0007472
2008-06-25 14:38 Fluggo Note Added: 0007476
2008-06-26 14:12 rgmhtt Note Added: 0007488
2008-06-26 23:11 JohnnyHughes Note Added: 0007492
2008-06-27 00:17 rgmhtt Note Added: 0007493
2008-06-27 11:01 daily-planet Note Added: 0007497
2008-07-02 02:40 ChaseVenters Note Added: 0007546
2008-07-05 03:13 andie Note Added: 0007573
2008-07-05 20:13 timverhoeven Relationship added has duplicate 0002950
2008-07-05 22:03 ragingpanda Note Added: 0007575
2008-07-07 08:33 timverhoeven Relationship deleted has duplicate 0002950
2008-07-07 14:19 ragingpanda Note Added: 0007582
2008-07-07 14:59 ragingpanda Note Added: 0007583
2008-07-07 18:20 jhare78726 Note Added: 0007585
2008-07-10 12:20 timverhoeven Note Added: 0007618
2008-08-08 15:17 yafrank Note Added: 0007821
2008-09-02 19:44 DustyJ Note Added: 0007918
2008-10-10 13:48 ragingpanda Note Added: 0008111
2008-11-04 16:34 cisco3662 Note Added: 0008229
2008-11-04 17:04 AlanBartlett Note Added: 0008230
2008-11-05 14:29 ragingpanda Note Added: 0008231
2008-11-05 14:31 ragingpanda Note Added: 0008232
2009-01-03 19:37 toracat Note Added: 0008529